Skip to main content
GET
/
api_keys
List API Keys
curl --request GET \
  --url https://api.example.com/api_keys
{
  "api_keys": [
    {
      "created_by": "<string>",
      "id": "<string>",
      "key_prefix": "<string>",
      "name": "<string>",
      "org_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "last_used_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "scopes": [
        {
          "resource_id": "<string>",
          "resource_type": "<string>",
          "role": "discoverer"
        }
      ],
      "sharing_group_ids": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

include_revoked
boolean
default:false

Response

Successful Response

Response model for listing API keys.

api_keys
ApiKeyResponse · object[]

List of API keys.